import request from "@/utils/request";

// 获得WMS 品质管理-fqc检验项分页--待检验
export function getFQCpage(query) {
  return request({
    url: "/rtkwms/incoming-receipt-inspection/pageFqc",
    method: "get",
    params: query,
  });
}
// 获得WMS 品质管理-fqc检验项分页--已检验
export function getOqcInspectedPage(query) {
  return request({
    url: "/rtkwms/sale-out-order-inspection/page",
    method: "get",
    params: query,
  });
}
// 获得fqc物料分页
// export function getFqcPage(query) {
//     return request({
//       url: '/rtkqms/material-item-result/fqcpage',
//       method: 'get',
//       params: query
//     })
//   }
// 获得fqc物料检验项结果分页
export function getFqcpage(query) {
  return request({
    url: "/rtkqms/material-item-result/oqcpage",
    method: "get",
    params: query,
  });
}

// 检验执行前置校验
export function oqccreateMaterialItemResult(data) {
  return request({
    url: "/rtkqms/material-item-result/oqccreate",
    method: "post",
    data: data,
  });
}

// 完成检验
export function finishOqcMaterialItem(data) {
  return request({
    url: "/rtkwms/sale-out-order-inspection/create",
    method: "post",
    data: data,
  });
}

// fqc重新检验
export function updateFqcReinspection(data) {
  return request({
    url: "/rtkqms/material-item-result/oqcReinspection",
    method: "put",
    data: data,
  });
}
